Anonymous Login
2018-12-13 03:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001736OpenClonkEngine - C4Scriptpublic2016-05-21 13:05
ReporterPyrit 
Assigned ToGünther 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Versiongit master 
Target Versiongit masterFixed in Versiongit master 
Summary0001736: Aiming gives Fx related errors
DescriptionAiming things like the bow or grenade launcher will flood the log with errors.
Additional Information[00:57:08] ERROR: Undefined function: FxIntControlFreeHandsControl.
[00:57:08] ERROR: Undefined function: FxIntControlFreeHandsControl.
[00:57:08] ERROR: Undefined function: FxIntControlFreeHandsControl.
[00:57:09] ERROR: Undefined function: FxIntControlFreeHandsControl.
[00:57:09] ERROR: Undefined function: FxIntControlFreeHandsControl.
...
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005095

Maikel (developer)

Also for Fx*QueryHitClonk and other calls in other places.

Guenther: what about adding the ~ syntax to effect calls as well, so that scripter can decide whether to silence these errors. Sometimes we want effect callbacks that work on a large group of effects without causing errors.

Currently EffectCall(obj, fx, "~foo") leads to Fx*~foo calls which error as well.

I am giving this high priority as script errors on master are not what we want.

~0005096

Maikel (developer)

Reminder sent to: Günther

~0005097

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/6763f2b5c72c159a68df932ff0fecfaf2689e451

Changeset 6763f2b by Günther Brammer <gbrammer@gmx.de>
Silence complaints about missing functions in EffectCall (0001736)

All the other effect callbacks silently ignored missing functions, either
by using the Call variant that doesn't complain about it, or checking for
the missing function themselves.

+Notes

-Issue History
Date Modified Username Field Change
2016-05-11 17:27 Pyrit New Issue
2016-05-12 07:40 Maikel Note Added: 0005095
2016-05-12 07:41 Maikel Assigned To => Günther
2016-05-12 07:41 Maikel Status new => assigned
2016-05-12 07:41 Maikel Status assigned => acknowledged
2016-05-12 07:41 Maikel Note Added: 0005096
2016-05-12 07:41 Maikel Priority normal => high
2016-05-12 07:41 Maikel Severity minor => major
2016-05-12 07:41 Maikel Category => Engine - C4Script
2016-05-12 07:41 Maikel Product Version => git master
2016-05-12 07:41 Maikel Target Version => git master
2016-05-15 19:42 occ Note Added: 0005097
2016-05-21 13:05 Maikel Status acknowledged => resolved
2016-05-21 13:05 Maikel Fixed in Version => git master
2016-05-21 13:05 Maikel Resolution open => fixed
+Issue History